# SENTTransportEvent

Represents a duration of the time when the user was in transport.

### SENTTransportEvent API

{% hint style="info" %}
This class extends SENTTimelineEvent. See [SENTTimelineEvent](/important-topics/sdk/api-reference/ios/event-timeline/senttimelineevent.md) for additional properties and methods.
{% endhint %}

### distanceInMeters

The distance travelled during the transport, in meters. If distance cannot be computed, then returns nil.

```swift
var distanceInMeters: Int?
```

### isEqual

```swift
func isEqual(to transportEvent: SENTTransportEvent) -> Bool
```

### occupantRole

The detected user occupant role. See [SENTOccupantRole](/important-topics/sdk/api-reference/ios/event-timeline/sentoccupantrole.md).

```swift
var occupantRole: SENTOccupantRole
```

### tags

The set of tags that you have previously set (if any) for this transport. See [setTransportTags](/important-topics/sdk/api-reference/android/eventtimeline/eventtimelineapi.md#settransporttags).

```swift
var tags: [String: String]
```

### transportMode

The mode of transportation as [SENTTimelineTransportMode](/important-topics/sdk/api-reference/ios/event-timeline/senttimelinetransportmode.md).

```swift
var transportMode: SENTTimelineTransportMode
```

### waypoints

The waypoints collected during the transport.

```swift
var waypoints: [SENTWaypoint]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/ios/event-timeline/senttimelineevent/senttransportevent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
